Show / Hide Table of Contents

# Class ResourceManager

##### Inheritance

System.Object
ResourceManager

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.File

###### Assembly: Dalamud.dll

##### Syntax

    public class ResourceManager

### Constructors

| Improve this Doc View Source

#### ResourceManager(Dalamud, SigScanner)

##### Declaration

    public ResourceManager(Dalamud dalamud, SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud | dalamud |
SigScanner | scanner |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### FilePathHasInvalidChars(String)

##### Declaration

    public static bool FilePathHasInvalidChars(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path |

##### Returns

Type | Description
--- | ---
System.Boolean |